#ifndef _vtkTransformImage_h
#define _vtkTransformImage_h
#include "vtkImageAlgorithm.h"
class VTK_EXPORT vtkTransformImage : public vtkImageAlgorithm
{
public:
  static vtkTransformImage *New();
  vtkTypeRevisionMacro(vtkTransformImage,vtkImageAlgorithm);
  void PrintSelf(ostream& os, vtkIndent indent);

  vtkGetVector3Macro(Translate, double);
  vtkSetVector3Macro(Translate, double);

  vtkGetVector3Macro(Scale, double);
  vtkSetVector3Macro(Scale, double);

protected:
  vtkTransformImage();
  ~vtkTransformImage();

  double Translate[3];
  double Scale[3];

  int RequestData(vtkInformation *, vtkInformationVector **,
                  vtkInformationVector *);

private:
  vtkTransformImage(const vtkTransformImage&);
  void operator = (const vtkTransformImage&);
};
#endif
